/**
 * @this {CoreSimulatorWithBiometric}
 * @returns {Promise<boolean>}
 */
export function isBiometricEnrolled(this: CoreSimulatorWithBiometric): Promise<boolean>;
/**
 * @this {CoreSimulatorWithBiometric}
 * @param {boolean} isEnabled
 */
export function enrollBiometric(this: CoreSimulatorWithBiometric, isEnabled?: boolean): Promise<void>;
/**
 * Sends a notification to match/not match the particular biometric.
 *
 * @this {CoreSimulatorWithBiometric}
 * @param {boolean} shouldMatch [true] - Set it to true or false in order to emulate
 * matching/not matching the corresponding biometric
 * @param {string} biometricName [touchId] - Either touchId or faceId (faceId is only available since iOS 11)
 */
export function sendBiometricMatch(this: CoreSimulatorWithBiometric, shouldMatch?: boolean, biometricName?: string): Promise<void>;
/**
 * @param {string} name
 * @returns {string}
 */
export function toBiometricDomainComponent(name: string): string;
export type CoreSimulatorWithBiometric = import('../types').CoreSimulator & import('../types').SupportsBiometric;
//# sourceMappingURL=biometric.d.ts.map